Bio::TreeIO::nexus(3)

NAME
Bio::TreeIO::nexus - A TreeIO driver module for parsing Nexus tree output from PAUP

SYNOPSIS
  use Bio::TreeIO;
  my $in = Bio::TreeIO->new(-file => 't/data/cat_tre.tre');
  while( my $tree = $in->next_tree ) {
  }

DESCRIPTION
This is a driver module for parsing PAUP Nexus tree format which basically is just a remapping of trees.

  Comments
The nexus format allows node comments that are placed inside square brackets. Usually the comments (implemented as tags for nodes) are used to give a name for an internal node or record the bootstap value, but other uses are possible.

The FigTree program by Andrew Rambaut adds various rendering parameters inside comments and flags these comments by starting them with '&!'. The parameters implemented here are 'label' and 'color'.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Jason Stajich
Email jason-at-open-bio-dot-org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Args    : -header    => boolean  default is true
                         print/do not print #NEXUS header
           -translate => boolean default is true
                         print/do not print Node Id translation to a number

  next_tree
 Title   : next_tree
 Usage   : my $tree = $treeio->next_tree
 Function: Gets the next tree in the stream
 Returns : Bio::Tree::TreeI
 Args    : none

  write_tree
 Title   : write_tree
 Usage   : $treeio->write_tree($tree);
 Function: Writes a tree onto the stream
 Returns : none
 Args    : Bio::Tree::TreeI

  header
 Title   : header
 Usage   : $obj->header($newval)
 Function:
 Example :
 Returns : value of header (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  translate_node
 Title   : translate_node
 Usage   : $obj->translate_node($newval)
 Function:
 Example :
 Returns : value of translate_node (a scalar)
 Args    : on set, new value (a scalar or undef, optional)